package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusZzdzxx;
import com.railway.business.baseinfo.domain.vo.BusSmartQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 支柱吊柱信息
* @author wuhonghao
* @date 2021/10/13
*/
@Mapper
@Repository
public interface BusZzdzxxMapper {

    /**
    * 新增
    */
    int insert(BusZzdzxx busZzdzxx);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusZzdzxx busZzdzxx);

    /**
    * 获取单个
    */
    BusZzdzxx getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusZzdzxx> getList(BusZzdzxx busZzdzxx);

    /**
    * 智能查询
    */
    Page<BusZzdzxx> smartQuery(BusSmartQueryVo busSmartQueryVo);

}
